5
\$\begingroup\$

If I develop a game using gamecenter, does itunes connect lock me in to only supporting 3GS and above with iOS 4.0 and above, or will it still allow sales of my game on older devices (as long as I build in fallback so it never calls gamecenter framework)?

\$\endgroup\$
4
\$\begingroup\$

You can include Game Center without limiting which devices can run your game. First you have to set the 'Base SDK' to 4.1 or higher and the 'Deployment Target' to the minimum you want to support e.g. 3.1.3. Then you weak link and use GameKit as described in the Apple docs about Optionally Using Game Center In Your Application.

\$\endgroup\$
3
\$\begingroup\$

You consider using OpenFeint and support both it and GameCenter if you want to. OpenFeint works on 3.1+ firmware, GameCenter works on 4.1+ firmware.

\$\endgroup\$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.